# Copyright (C) 2010 Generalitat de Catalunya 
# 
# This file is part of Linkat CTTI.  
# 
# Linkat CTTI is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3 of the License, or (at your option) any
# later version.
# 
# Linkat CTTI is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for further
# details, currently published at http://www.gnu.org/licenses/gpl.txt or in the
# gpl.txt in the ["legal" folder] of this distribution.
# 
# You should have received a copy of the GNU General Public License along with
# this program; If not, see <http://www.gnu.org/licenses/>
# 
# Authors: Jordi Casas Ríos (jordi.casas@opentrends.net) and David Cassany 
# Viladomat (dcassany@opentrends.net), openTrends Solucions i Sistemes, S.L.
# 
# You may contact the copyright holder at: Centre de Telecomunicacions i
# Tecnologies de la Informació de la Generalitat de Catalunya, Pg. de Gràcia,
# 11 Esc. A 3a. Planta, 08007 Barcelona, correu.ctti@gencat.cat.

Name:         linkat4-LTSP
License:      GPL
Group:        Productivity/Networking/System
Summary:      Linkat 4 configurations for LTSP
Version:      0.2
Release:      24.1
URL:          http://linkat.xtec.net
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      %{name}-%{version}.tar.bz2
Source1:      configurador.sh
Source2:      configuradorltsp.desktop
Requires:     kiwi-ltsp-prebuilt
Vendor:	      linkat
Distribution: education


%description
This is a set of configurations to setup LTSP servers to Linkat 4 criteria,
including Thin Client brandings, server and system configurations.

%prep

%setup -q

%build

%install
mkdir -p ${RPM_BUILD_ROOT}/srv/tftpboot/KIWI
mkdir -p ${RPM_BUILD_ROOT}/srv/tftpboot/KIWI/template
mkdir -p ${RPM_BUILD_ROOT}/srv/tftpboot/pxelinux.cfg
mkdir -p ${RPM_BUILD_ROOT}/usr/sbin
mkdir -p ${RPM_BUILD_ROOT}/root/Escriptori
cp -rf * ${RPM_BUILD_ROOT}
cp %{SOURCE1} ${RPM_BUILD_ROOT}/usr/sbin/
cp %{SOURCE2} ${RPM_BUILD_ROOT}/root/Escriptori

%pre
if [ -f /etc/sysconfig/kiwi-ltsp ] ; then
	cp /etc/sysconfig/kiwi-ltsp /etc/sysconfig/kiwi-ltsp.linkat4-LTSP
	# Configure /etc/sysconfig/kiwi-ltsp
	sed -i 's:\(DHCP_RANGE="\).*:\1192\.168\.10\.50 192\.168\.10\.200":' /etc/sysconfig/kiwi-ltsp
	sed -i 's:\(DHCP_SUBNET="\).*:\1192\.168\.10\.0":' /etc/sysconfig/kiwi-ltsp
	sed -i 's:\(DHCP_NETMASK="\).*:\1255\.255\.255\.0":' /etc/sysconfig/kiwi-ltsp
	sed -i 's:\(DHCP_IFACE="\).*:\1eth1":' /etc/sysconfig/kiwi-ltsp
	sed -i 's:\(SERVER_IP="\).*:\1192\.168\.10\.1":' /etc/sysconfig/kiwi-ltsp
	sed -i 's:\(DOMAIN="\).*:\1intracentre":' /etc/sysconfig/kiwi-ltsp
else
	echo Error /etc/sysconfig/kiwi-ltsp not found!
	exit 1
fi
if [ -f /srv/tftpboot/KIWI/lts.conf ] ; then
	mv /srv/tftpboot/KIWI/lts.conf /srv/tftpboot/KIWI/lts.conf.linkat4Bak.`date +%d-%m-%Y`
fi

%post
if [ -f /srv/tftpboot/pxelinux.cfg/default ] ; then
	mv /srv/tftpboot/pxelinux.cfg/default /srv/tftpboot/pxelinux.cfg/default.linkat4Bak.`date +%d-%m-%Y`
	if [ -f /srv/tftpboot/pxelinux.cfg/default.linkat4 ] ; then
		cp /srv/tftpboot/pxelinux.cfg/default.linkat4 /srv/tftpboot/pxelinux.cfg/default	
	fi
fi
chattr +i /srv/tftpboot/KIWI/config.default
chattr +i /srv/tftpboot/KIWI/lts.conf
chkconfig --level 35 dhcpd
chkconfig --level 35 named
if [ -f /etc/named.conf ] ; then
	sed -i 's:.*forward first.*:#&:g' /etc/named.conf
fi

%preun
chattr -i /srv/tftpboot/KIWI/config.default
chattr -i /srv/tftpboot/KIWI/lts.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root)
/srv/tftpboot/KIWI/lts.conf
/srv/tftpboot/KIWI/config.default
/srv/tftpboot/pxelinux.cfg/default.linkat4
/srv/tftpboot/KIWI/bg.png
/srv/tftpboot/KIWI/logo.png
/srv/tftpboot/KIWI/template/config.default
/srv/tftpboot/KIWI/template/lts.conf
/srv/tftpboot/KIWI/template/default.linkat4
%attr(755,root,root)/usr/sbin/configurador.sh
%attr(755,root,root)/root/Escriptori/configuradorltsp.desktop

%changelog

* Mon Feb 14 2011 - Jordi "Txor" Casas Ríos <jordi.casas@opentrends.net>
- Inverted LDM_DIRECTX value on the default configuration.

* Tue Feb 8 2011 - Jordi "Txor" Casas Ríos <jordi.casas@opentrends.net>
- Fixed %preun script.

* Fri Feb 4 2011 - Jordi "Txor" Casas Ríos <jordi.casas@opentrends.net>
- Fixed configuration script.
- Configuration files are generated from templates.
- Added immutable flag to lts.conf.

* Mon Jan 10 2011 David Lara <dlara@espherica.com>
- Added script (and desktop launcher) to configure LTSP IP.

* Thu Nov 4 2010 David Cassany Viladomat <dcassany@opentrends.net>
- Linkat4 repack.

* Tue Jun 8 2010 Jordi "Txor" Casas Ríos <jordi.casas@opentrends.net> 
- First release.
